Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdNtClientInfo Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | Id ([out, retval] RtCSNID *pcsnidClient)
HRESULT | Id ([in] RtCSNID csnidClient)
HRESULT | Name ([out, retval] BSTR *pbstrName)
HRESULT | Name ([in] BSTR bstrName)
HRESULT | SrvTimeLogIn ([out, retval] RtQWORD *pqwSrvTime)
HRESULT | SrvTimeLogIn ([in] RtQWORD qwSrvTime)
HRESULT | LocTimeLogIn ([out, retval] RtQWORD *pqwLocTime)
HRESULT | LocTimeLogIn ([in] RtQWORD qwLocTime)
HRESULT | Status ([out, retval] ReNtCIStatus *pciStat)
HRESULT | Status ([in] ReNtCIStatus ciStat)
HRESULT | Privileges ([out, retval] BSTR *pbstrPrivileges)
HRESULT | Privileges ([in] BSTR bstrPrivileges)
HRESULT | URL ([out, retval] BSTR *pbstrURL)
HRESULT | URL ([in] BSTR bstrURL)

## Detailed Description

Object store information about client. See IRdNtClientsList and IRdNtClientStatus for more details.

## Member Function Documentation

HRESULT IRdNtClientInfo::Clear | ( | void |  | ) |

| Method clear client's info

HRESULT IRdNtClientInfo::Id | ( | [out, retval] RtCSNID * | pcsnidClient | ) |

  | Use this property to read client's session ID. Parameters:
  pcsnidClient | - returns client's session ID

HRESULT IRdNtClientInfo::Id | ( | [in] RtCSNID | csnidClient | ) |

  | Use this property to set client's session ID. Parameters:
  csnidClient | - client's session ID

HRESULT IRdNtClientInfo::Name | ( | [out, retval] BSTR * | pbstrName | ) |

  | Use this property to read client's Name in this session. Parameters:
  pbstrName | - returns client's name in this session

HRESULT IRdNtClientInfo::Name | ( | [in] BSTR | bstrName | ) |

  | Use this property to set client's Name. Parameters:
  bstrName | - client's name

HRESULT IRdNtClientInfo::SrvTimeLogIn | ( | [out, retval] RtQWORD * | pqwSrvTime | ) |

  | Use this property to get time when client logged in on server. Parameters:
  pqwSrvTime | - returns client's loggin time on server

HRESULT IRdNtClientInfo::SrvTimeLogIn | ( | [in] RtQWORD | qwSrvTime | ) |

  | Use this property to set server's loggin time for this client and session. Parameters:
  qwSrvTime | - client's loggin time on server

HRESULT IRdNtClientInfo::LocTimeLogIn | ( | [out, retval] RtQWORD * | pqwLocTime | ) |

  | Use this property to get local client's loggin time. Parameters:
  pqwLocTime | - returns client's local loggin time

HRESULT IRdNtClientInfo::LocTimeLogIn | ( | [in] RtQWORD | qwLocTime | ) |

  | Use this property to set local client's loggin time. Parameters:
  qwLocTime | - client's local loggin time

HRESULT IRdNtClientInfo::Status | ( | [out, retval] ReNtCIStatus * | pciStat | ) |

  | Use this property to read client's status. Parameters:
  pciStat | - returns client's status. Possible values: 0 - undefined 1 - client just logged in and waiting or transfering initial context from server 2 - client is ready and can colaborate 3 - client is inactive in Shared Space

HRESULT IRdNtClientInfo::Status | ( | [in] ReNtCIStatus | ciStat | ) |

  | Use this property to set client's status. Parameters:
  pciStat | - client's status. See Status([out, retval] ReNtCIStatus *pciStat) for possible values

HRESULT IRdNtClientInfo::Privileges | ( | [out, retval] BSTR * | pbstrPrivileges | ) |

  | Use this property to read client's privileges. Parameters:
  pbstrPrivileges | - returns client's privileges

HRESULT IRdNtClientInfo::Privileges | ( | [in] BSTR | bstrPrivileges | ) |

  | Use this property to set client's privileges. Parameters:
  bstrPrivileges | - client's privileges

HRESULT IRdNtClientInfo::URL | ( | [out, retval] BSTR * | pbstrURL | ) |

  | Use this property to read client's URL. Parameters:
  pbstrURL | - returns client's URL

HRESULT IRdNtClientInfo::URL | ( | [in] BSTR | bstrURL | ) |

  | Use this property to set client's URL. Parameters:
  bstrURL | - client's URL